import { Component,Input, AfterContentInit } from '@angular/core';
import { Router } from '@angular/router';
@Component({
     selector: 'menu',
    template: require('./menu.component.html'),
    styles: [require('./menu.component.css')] 
})
export class MenuComponent implements AfterContentInit{ 

    @Input('menu-list-value') menuListValue:  Array<any>;
   
  
      constructor(private router: Router) {
        
         
       
    }
 
 
    ngAfterContentInit() {
     this.menuListValue=this.menuListValue;
    
    }
    
    
}